<script setup>
import {inject, ref} from "vue";
import axios from "axios";

const form = inject('form');
const options = form.texts;
const parameter = ref({
    'label':null,
    'val':null
});

const deleteItem = (key,item) => {
    axios.post(route('admin.text-features.delete',{featuresText:item.id}));
    options.splice(key, 1);
};
const addItem = () => {
    options.push({ ...parameter.value });
};
</script>

<template>
    <h2 class="parametres-template__subtitle">Текстовые</h2>
    <div
        v-for="(item, key) of options"
        :key="key"
        class="parametres-template__item item-parametres-template"
    >
        <div style="margin-right: 10px;" class="item-parametres-template__text">
            <input
                type="text"
                class="form-control"
                aria-label="Username"
                v-model="item.label"
            />
        </div>
        <div style="margin-right: 10px;" class="item-parametres-template__text">
            <input
                type="text"
                class="form-control"
                aria-label="Username"
                v-model="item.val"
            />
        </div>
        <div class="item-parametres-template__del">
            <button
                @click="deleteItem(key,item)"
                type="button"
                class="btn btn-danger"
            >
                Удалить
            </button>
        </div>
    </div>


    <button
        @click="addItem"
        type="button"
        class="btn btn-secondary parametres-template__add"
    >
        Добавить
    </button>
</template>

<style scoped lang="scss">
.parametres-template {
    &__subtitle {
        font-size: 16px;
        margin: 0px 0px 40px 0px;
    }
    &__item {
        margin: 0px 0px 60px 0px;
    }

    &__add {
        width: 300px;
    }
}
.item-parametres-template {
    display: flex;
    align-items: center;
    &__text {
        flex: 1 1 auto;
    }
    &__img {
        & > img {
            width: 100px;
        }
    }
    &__config {
        flex: 1 1 auto;
        margin: 0px 30px 0px 0px;
    }
    &__del {
        margin: 0px 30px 0px 0px;
    }
}
.create-parametres-template {
    display: flex;
    &__text {
        flex: 1 1 auto;
        margin: 0px 30px 0px 0px;
    }
    &__load {
        flex: 1 1 auto;
        margin: 0px 30px 0px 0px;
    }
    &__btn {
    }
    &__range {
        flex: 1 1 auto;
        display: flex;
    }
    &__range-min {
    }
    &__range-max {
    }
}
</style>
